View Issue Details

IDProjectCategoryLast Update
0026089AI War 2Crash/ExceptionJan 9, 2022 9:37 pm
Reporterpheonix89 Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.781 Tachyon Healing Reversal 
Fixed in VersionBeta 3.782 Smooth Reloading 
Summary0026089: Exception on mouseover civilian industries militia base.
DescriptionSeeing this when mousing over civilian industries militia base - most of the tooltip is just replaced with an excemption generated notice.

1/8/2022 8:33:07 PM 3.781 SINGLEP Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at SKCivilianIndustry.SKCivMilitiaPerUnitBaseInfo.GetUnitCount (SKCivilianIndustry.SKCivilianIndustryFactionBaseInfo baseInfo, Arcen.AIW2.Core.GameEntity_Squad militiaLeader, System.Int32 index) [0x00000] in <1243e76dcc1649f0acd65a6024b27d59>:0
  at SKCivilianIndustry.MilitiaShipDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenCharacterBufferBase Buffer) [0x0016c] in <1243e76dcc1649f0acd65a6024b27d59>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenCharacterBufferBase buffer, Arcen.AIW2.Core.GameEntity_Squad relatedSquadOrNull, Arcen.AIW2.Core.FleetMembership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, Arcen.AIW2.Core.Fleet FleetToUseOrNull, System.String AltTextColorIfUsed, System.String AltTextInPlaceOfFleetAndOwnerOrBlank, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags, System.Single PositionScaleMultiplier, System.Boolean IsBeingDrawnInPopupWindowRatherThanTooltip) [0x13546] in <5d6dd5175ea946d4842d7befc27ffb40>:0
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <616505f152c8481cb3106ff68ea53d80>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <616505f152c8481cb3106ff68ea53d80>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenCharacterBufferBase buffer, Arcen.AIW2.Core.GameEntity_Squad relatedSquadOrNull, Arcen.AIW2.Core.FleetMembership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, Arcen.AIW2.Core.Fleet FleetToUseOrNull, System.String AltTextColorIfUsed, System.String AltTextInPlaceOfFleetAndOwnerOrBlank, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags, System.Single PositionScaleMultiplier, System.Boolean IsBeingDrawnInPopupWindowRatherThanTooltip) [0x00000] in <5d6dd5175ea946d4842d7befc27ffb40>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenCharacterBufferBase buffer, Arcen.AIW2.Core.GameEntity_Squad relatedSquadOrNull, Arcen.AIW2.Core.FleetMembership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags, System.Single PositionScaleMultiplier, System.Boolean IsBeingDrawnInPopupWindowRatherThanTooltip) [0x00000] in <5d6dd5175ea946d4842d7befc27ffb40>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <5d6dd5175ea946d4842d7befc27ffb40>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <5d6dd5175ea946d4842d7befc27ffb40>:0
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <616505f152c8481cb3106ff68ea53d80>:0
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <616505f152c8481cb3106ff68ea53d80>:0
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <616505f152c8481cb3106ff68ea53d80>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <616505f152c8481cb3106ff68ea53d80>:0
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <300edbac1c7a44888a2170f2bdd1bb70>:0
  at ArcenGameController.Update () [0x00000] in <a6cba12c7f0b4f47a1ff69cb43a03552>:0
TagsNo tags attached.

Relationships

related to 0026087 resolvedx4000Bughunter Exception in Civilian Industries set at ease 

Activities

pheonix89

Jan 8, 2022 8:37 pm

reporter  

tooltip bug.save (327,757 bytes)
tooltip bug.savemet (116 bytes)   
UK
381554151
2144
Spire
<color=#66ffce>Easier </color> Full Ensemble
Difficulty 5
0
<color=#318ce7>pheonix89</color>
tooltip bug.savemet (116 bytes)   
ArcenDebugLog.txt (782,741 bytes)

pheonix89

Jan 9, 2022 10:28 am

reporter   ~0063718

Additonal information: on reloading save mousover of Milita Headquarters did not cause exception until after unpause and first instance of error from issue 0026087.

x4000Bughunter

Jan 9, 2022 9:37 pm

administrator   ~0063727

Thanks!

* Fixed another civilian industries error that could happen when mousing over certain units.

Issue History

Date Modified Username Field Change
Jan 8, 2022 8:37 pm pheonix89 New Issue
Jan 8, 2022 8:37 pm pheonix89 File Added: tooltip bug.save
Jan 8, 2022 8:37 pm pheonix89 File Added: tooltip bug.savemet
Jan 8, 2022 8:37 pm pheonix89 File Added: ArcenDebugLog.txt
Jan 9, 2022 12:18 am BadgerBadger Relationship added related to 0026087
Jan 9, 2022 10:28 am pheonix89 Note Added: 0063718
Jan 9, 2022 9:37 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 9, 2022 9:37 pm x4000Bughunter Status new => resolved
Jan 9, 2022 9:37 pm x4000Bughunter Resolution open => fixed
Jan 9, 2022 9:37 pm x4000Bughunter Fixed in Version => Beta 3.782 Smooth Reloading
Jan 9, 2022 9:37 pm x4000Bughunter Note Added: 0063727